package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BusSdtz;
import com.railway.business.baseinfo.domain.vo.BusSmartQueryVo;

import java.util.List;
/**
* 智能查询-隧道台账
* @author wuhonghao
* @date 2021/10/26
*/
public interface IBusSdtzService{

    /**
    * 新增
    */
    int create(BusSdtz busSdtz);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusSdtz busSdtz);

    /**
    * 获取单个
    */
    BusSdtz getInfo(String id);

    /**
    * 查询列表
    */
    List<BusSdtz> getList(BusSdtz busSdtz);

    /**
    * 智能查询
    */
    List<BusSdtz> smartQuery(BusSmartQueryVo busSmartQueryVo);

}
